| m2vmp2cut-0.68/ANNOUNCE | | m2vmp2cut-0.72/ANNOUNCE |
| 1 | Last committed: $Id: ANNOUNCE 2174 2008-07-27 10:20:18Z too $ | 1 | Last committed: $Id: ANNOUNCE 2177 2008-07-30 08:18:41Z too $ |
| 2 | | 2 | |
| 3 | ANNOUNCE for m2vmp2cut 0.68 (Not even far!): | 3 | ANNOUNCE for m2vmp2cut 0.72 |
| 4 | | 4 | |
| 5 | This is development release of m2vmp2cut -- frame accurate (currently PAL) | 5 | This is stable release of m2vmp2cut -- frame accurate (currently PAL) |
| 6 | mpeg2 video (m2v file) with accompanied mp2 audio (mp2 file) cutter. | 6 | mpeg2 video (m2v file) with accompanied mp2 audio (mp2 file) cutter. |
| 7 | | 7 | |
| 8 | Some frames around cutpoints are re-encoded using mpeg2enc; | 8 | Some frames around cutpoints are re-encoded using mpeg2enc; |
| 14 | This software is available currently at http://www.iki.fi/too/sw/m2vmp2cut/ | 14 | This software is available currently at http://www.iki.fi/too/sw/m2vmp2cut/ |
| 15 | and is licensed under GNU Public License (GPL). | 15 | and is licensed under GNU Public License (GPL). |
| 16 | | 16 | |
| | 17 | Changes since 0.68 (r2174) (Not even far!): |
| | 18 | ANNOUNCE informs this is stable version. |
| | 19 | buildlibmpeg-051.sh accepts libmpeg-0.5.1.tar.gz with absolute path. |
| | 20 | Minor tunes, simplification etc. |
| | 21 | |
| 17 | Changes since 0.67 (r2169, Success is not an option): | 22 | Changes since 0.67 (r2169, Success is not an option): |
| 18 | Binaries wavgraph and warpxpointer are installed. | 23 | Binaries wavgraph and warpxpointer are installed. |
| 19 | Audio sync fixed in cutpoint test functionality. | 24 | Audio sync fixed in cutpoint test functionality. |
| 22 | Changes since 0.65 (r2101, Faux pas): | 27 | Changes since 0.65 (r2101, Faux pas): |
| 23 | Audio visualizer around current position in m2vcut-gui, to find | 28 | Audio visualizer around current position in m2vcut-gui, to find |
| 24 | (silent) spot for cutpoint. | 29 | (silent) spot for cutpoint. |
| 25 | Test speedups, now audio is pre-scanned too, | 30 | Test speedups, now audio is pre-scanned too. |
| 26 | Some usage tunes, fixes and enchangements, | 31 | Some usage tunes, fixes and enchangements. |
| 27 | Bug fixes in almost every area. | 32 | Bug fixes in almost every area. |
| 28 | | 33 | |
| 29 | Changes since 0.63 (r2069, Epic Fail): | 34 | Changes since 0.63 (r2069, Epic Fail): |
| m2vmp2cut-0.68/HISTORY | | m2vmp2cut-0.72/HISTORY |
| 1 | # Created using svn -v log | sed -n -e '${x;p;x;p;q};/^--*$/{x;/./p;d};x;p' | 1 | # Created using svn -v log | sed -n -e '${x;p;x;p;q};/^--*$/{x;/./p;d};x;p' |
| 2 | # This file is not version controlled | 2 | # This file is not version controlled |
| 3 | | 3 | |
| | 4 | ------------------------------------------------------------------------ |
| | 5 | r2177 | too | 2008-07-30 11:18:41 +0300 (Wed, 30 Jul 2008) | 1 line |
| | 6 | Changed paths: |
| | 7 | M /main/projects/m2vmp2cut/ANNOUNCE |
| | 8 | M /main/projects/m2vmp2cut/README |
| | 9 | M /main/projects/m2vmp2cut/VERSION |
| | 10 | M /main/projects/m2vmp2cut/tools/buildlibmpeg-051.sh |
| | 11 | M /main/projects/m2vmp2cut/tools/chklibmpeg-051.sh |
| | 12 | |
| | 13 | Version 0.72 |
| | 14 | ------------------------------------------------------------------------ |
| | 15 | r2175 | too | 2008-07-28 14:54:42 +0300 (Mon, 28 Jul 2008) | 1 line |
| | 16 | Changed paths: |
| | 17 | A /main/projects/m2vmp2cut/tools/relhelper.sh |
| | 18 | |
| | 19 | Beginnings of "release helper". |
| 4 | ------------------------------------------------------------------------ | 20 | ------------------------------------------------------------------------ |
| 5 | r2174 | too | 2008-07-27 13:20:18 +0300 (Sun, 27 Jul 2008) | 1 line | 21 | r2174 | too | 2008-07-27 13:20:18 +0300 (Sun, 27 Jul 2008) | 1 line |
| 6 | Changed paths: | 22 | Changed paths: |
| m2vmp2cut-0.68/VERSION | | m2vmp2cut-0.72/VERSION |
| 1 | 0.68 (2008-07-27) "Not even far!" | 1 | 0.72 (2008-07-27) "" |
| 2 | | 2 | |
| 3 | $Id: VERSION 2174 2008-07-27 10:20:18Z too $ | 3 | $Id: VERSION 2177 2008-07-30 08:18:41Z too $ |
| 4 | | 4 | |
| 5 | -- use sed -n '1s/ .*//p' VERSION to read version number from this file -- | 5 | -- use sed -n '1s/ .*//p' VERSION to read version number from this file -- |
| 6 | | | |
| 7 | Version numbers are used like: | | |
| 8 | | | |
| 9 | Devel releases have odd-numbered decimals. | | |
| 10 | | | |
| 11 | 'Stable' releases have even-numbered decimals. | | |
| 12 | | | |
| 13 | Releases 0.30, 0.40, ... (i.e. last number is zero are skipped, | | |
| 14 | also 0.29, 0.39 and so on -- 0.28-release -> 0.31-dev ...) | | |
| 15 | | | |
| 16 | The reason for this is that I don't like some people referring | | |
| 17 | like version 0.3 and other 0.30. | | |
| 18 | | | |
| 19 | The version numbers also always increments so, that sorted | | |
| 20 | numerically or stringwise and thought as major.minor | | |
| 21 | brings new versions in order. | | |
| 22 | | | |
| 23 | So. release numbers may go like: 0.22, 0.28, 0.32, | | |
| 24 | 0.98, 1.0 (!), 1.12, 1.14, 1.92 1.912, 1.914, 1.913002, ... | | |
| 25 | (probably not, using this sequence, though) | | |
| m2vmp2cut-0.68/tools/buildlibmpeg-051.sh | | m2vmp2cut-0.72/tools/buildlibmpeg-051.sh |
| 7 | # All rights reserved | 7 | # All rights reserved |
| 8 | # | 8 | # |
| 9 | # Created: Sun Jul 20 18:15:19 EEST 2008 too | 9 | # Created: Sun Jul 20 18:15:19 EEST 2008 too |
| 10 | # Last modified: Fri Jul 25 11:56:34 EEST 2008 too | 10 | # Last modified: Mon Jul 28 15:00:54 EEST 2008 too |
| 11 | | 11 | |
| 12 | die () { echo; echo "$@"; echo; exit 1; } >&2; | 12 | die () { echo; echo "$@"; echo; exit 1; } >&2; |
| 13 | | 13 | |
| 27 | | 27 | |
| 28 | libmpegtgz=$1 | 28 | libmpegtgz=$1 |
| 29 | | 29 | |
| 30 | | | |
| 31 | chkfile () { test -f "$1" || die "File '$1' missing"; } | 30 | chkfile () { test -f "$1" || die "File '$1' missing"; } |
| 32 | chkdir () { test -d "$1" || die "Directory '$1' missing"; } | 31 | chkdir () { test -d "$1" || die "Directory '$1' missing"; } |
| 33 | | 32 | |
| 34 | chkfile $libmpegtgz | 33 | chkfile "$libmpegtgz" |
| 35 | | 34 | |
| 36 | case `md5sum $libmpegtgz` in | 35 | case `md5sum "$libmpegtgz"` in |
| 37 | ${libmpegsum}' '*) ;; | 36 | ${libmpegsum}' '*) ;; |
| 38 | *) die File "'"$libmpegtgz"'" checksum mismatch '(wrong or broken file?)' | 37 | *) die File "'"$libmpegtgz"'" checksum mismatch '(wrong or broken file?)' |
| 39 | esac | 38 | esac |
| 46 | trap "rm -rf $libmpeg-work" 0 | 45 | trap "rm -rf $libmpeg-work" 0 |
| 47 | ( | 46 | ( |
| 48 | cd $libmpeg-work || die "Could not chdir to '$libmpeg-work'" | 47 | cd $libmpeg-work || die "Could not chdir to '$libmpeg-work'" |
| | 48 | case $libmpegtgz in |
| | 49 | /*) x tar zxf "$libmpegtgz" ;; |
| 49 | x tar zxf ../$libmpegtgz | 50 | *) x tar zxf ../"$libmpegtgz" ;; |
| | 51 | esac |
| 50 | x cd $libmpeg || die "Could not chdir to '$libmpeg-work/$libmpeg'" | 52 | x cd $libmpeg || die "Could not chdir to '$libmpeg-work/$libmpeg'" |
| 51 | | 53 | |
| 52 | x ./configure --prefix=$prefix --disable-shared || die Configure failed | 54 | x ./configure --prefix=$prefix --disable-shared || die Configure failed |
| 53 | x make install | 55 | x make install || die Make install failed |
| 54 | echo | 56 | echo |
| 55 | echo Now you need to rerun "'make'" | 57 | echo Now you need to rerun "'make'" |
| 56 | echo | 58 | echo |
| 57 | ) | 59 | ) |
| 58 | | | |
| 59 | | | |
| m2vmp2cut-0.68/tools/chklibmpeg-051.sh | | m2vmp2cut-0.72/tools/chklibmpeg-051.sh |
| 7 | # All rights reserved | 7 | # All rights reserved |
| 8 | # | 8 | # |
| 9 | # Created: Sun Jul 20 19:41:17 EEST 2008 too | 9 | # Created: Sun Jul 20 19:41:17 EEST 2008 too |
| 10 | # Last modified: Wed Jul 23 12:17:06 EEST 2008 too | 10 | # Last modified: Mon Jul 28 14:57:44 EEST 2008 too |
| 11 | | 11 | |
| 12 | die () { echo "$@" >&2; exit 1; } | 12 | die () { echo "$@" >&2; exit 1; } |
| 13 | | 13 | |
| 30 | : version is not good enough. | 30 | : version is not good enough. |
| 31 | : | 31 | : |
| 32 | : Please download libmpeg2-0.5.1.tar.gz (unless already done so) | 32 | : Please download libmpeg2-0.5.1.tar.gz (unless already done so) |
| 33 | : (from libmpeg2.sourceforge.net/files/libmpeg2-0.5.1.tar.gz ...). | 33 | : (http://libmpeg2.sourceforge.net/files/libmpeg2-0.5.1.tar.gz ...). |
| 34 | : | 34 | : |
| 35 | : Then enter the path of libmpeg2-0.5.1.tar.gz as an argument for | 35 | : Then enter the path of libmpeg2-0.5.1.tar.gz as an argument for |
| 36 | : './tools/buildlibmpeg-051.sh' to build and install internal copy | 36 | : './tools/buildlibmpeg-051.sh' to build and install internal copy |